LINUX.ORG.RU

Обновления Wordpress на Arch Linux + LAMP

 ,


0

1

Здравствуйте,

Подскажите пожалуйста, можно ли настроить обновления и установку плагинов и тем на Wordpress сайте? Сейчас при попытке обновить или установить плагин запрашивает FTP соединение.

Исходные данные:

  • Arch Linux + Gnome
  • LAMP
  • Wordpress (с оф.сайта, не через pacman)

В идеале конечно настроить чтобы было не через FTP. Но если это невозможно, то пожалуйста подскажите, как это можно сделать через FTP соединение.

Спасибо

Ты только имей ввиду - иногда при авто-обновлении чего-нибудь, да отвалится. Или, например, ВП обновится, а плагины старые и работать с новым ВП не умеют. Не часто такое бывает, но иметь ввиду стоит.

coderage ()

У пользователя от имени которого работает сайт (php скрипты) должен быть доступ на запись к файлам вордпреса.

MrClon ★★★★★ ()
Ответ на: комментарий от ThisNameWasFree

В принципе это может быть не баг, а фича. Если WP не может править свои файлы то их не может править и хацкер взломавший WP, у него не получится вставить бэкдор который затем можно было-бы эксплуатировать для чего-то нехорошего. А поскольку хакир это как правило бот то он либо обломается и уйдёт, либо будет бесконечно долбиться в сайт пытаясь внедрить-таки бэкдор.
Но геморрой с обновлениями обычно перевешивает выгоды.
Хотя в данном случае это видимо всё-таки баг, а не фича.

MrClon ★★★★★ ()
Ответ на: комментарий от MrClon

Это равносильно тому, чтобы поставить охренительную дверь в дом, потерять от неё ключи, залазить внутрь через окно в кухне и повторять «ну если я не могу войти, то грабители же тоже не могут!»

ThisNameWasFree ()
Ответ на: комментарий от XTishka

Парень, я в упор не понимаю как ты умудрился поставить арч, но до сих пор не умеешь пользоваться ни archwiki, ни гуглить, ни вообще думать.

ThisNameWasFree ()
Ответ на: комментарий от ThisNameWasFree

Надо бы глянуть мануал по инсталлу ещё раз, неужели они впёрли какой-то графический установщик и теперь нужно ждать наводнения детей, которые научились кликать раньше, чем читать?

ThisNameWasFree ()
Последнее исправление: ThisNameWasFree (всего исправлений: 1 )
Ответ на: комментарий от ThisNameWasFree

Ну, не совсем. На боевых сайтах не так уж часто нужно ставить новые плагины, обновления тоже случаются далеко не каждый день (хотя это смотря какие плагины использовать и в каком количестве). Подключиться по SSH и запустить скриптик который переключает права — не велик труд. Да и вероятность того что ломанут сайт сервер ниже чем вероятность взлома WP. Так-что геморроя это добавляет не много (при грамотном подходе), за-то отсекает многие угрозы.
Сам я этим методом не пользуюсь, потому-что мне лень, но всё же он имеет право на существование.

MrClon ★★★★★ ()
Ответ на: комментарий от XTishka

Немедленно прекращай использовать арч и убунту, учись использовать GNU/Linux, мозг и гугл. Твоя проблема не дистрибутивоспецифическая, права доступа к файлам настраиваются одинаково во всех ОС я ядром Linux (разве-что в некоторых надо ещё помнить про всякие там SELinuxы).

MrClon ★★★★★ ()
Ответ на: комментарий от ThisNameWasFree

Да вроде на понабежавших рачеров тут уже давно бурчат. Уж не знаю что там сделали, но народ его массово асиливает.
Надо-бы и мне его потыкать палочкой, тоже хочу раковать (: А то всё debian да debian, скучно.

MrClon ★★★★★ ()
Ответ на: комментарий от MrClon

Ну кстати уж года два на арче, пришел с убунту. Периодически пробую вернуться на убунту (ну красивая она, ничего не попишешь) и вме одно возвращаюсь на арч,даже сам не пойму почему. Как-то всё там управляемее чтоли. Pacman и yaourt это вообще нечто. Раз глянул сколько притянуто пакетов в убунту - ужаснулся.

XTishka ()
Ответ на: комментарий от ThisNameWasFree

Да смотрел я в вики. И гуглил. И на форуме арча англ. спрашивал. 72 просмотра и ни одного ответа. Вот на русскоязычном ответили. Завтра попробую и отпишусь.

XTishka ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.